package jg_push

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_jg_push.git/md"
	"encoding/json"
	"testing"
)

func TestPush(t *testing.T) {
	var aud = md.PushAudience{Alias: []string{"123456_736"}}
	var extrasData = md.NextCommModData{}
	extrasStr, _ := json.Marshal(extrasData)
	var extras = md.SkipData{
		SkipName:           "测试",
		SkipIdentifier:     "pub.flutter.invite_friends",
		RequiredLogin:      "1",
		RequiredTaobaoAuth: "0",
		IsJump:             "1",
		Url:                "",
		Data:               string(extrasStr),
	}
	var param = md.PushParam{
		Platform: "all",
		Audience: aud,
		Title:    "API推送",
		Content:  "哈哈哈哈",
		Extras:   extras,
	}
	Send("6033fc3e19543740413d19aa", "ca7db52b63f7833299042f6a1", param)
}
